Loading...
Searching...
No Matches
MiniRackBox Class Reference

`#include <gx_main_window.h>`

Inheritance diagram for MiniRackBox:

## Public Member Functions

| MiniRackBox (RackBox &rb, gx_system::CmdlineOptions &options)
void | set_config_mode (bool mode, PluginUI &plugin)
void | pack (Gtk::Widget *w)

## Private Member Functions

bool | on_my_leave_out (GdkEventCrossing *focus)
bool | on_my_enter_in (GdkEventCrossing *focus)
Gtk::Widget * | make_delete_button (RackBox &rb)

## Private Attributes

Gtk::EventBox | evbox
Gtk::HBox | mconbox
Gtk::Button * | mb_expand_button
Gtk::Widget * | mb_delete_button
Gtk::Button * | preset_button
Gxw::Switch | on_off_switch
sigc::connection | evbox_button

## Static Private Attributes

static Glib::RefPtr< Gtk::SizeGroup > | szg_label

## Detailed Description

Definition at line 332 of file gx_main_window.h.

## Constructor & Destructor Documentation

## MiniRackBox()

MiniRackBox::MiniRackBox | ( | RackBox & | rb,
|  | gx_system::CmdlineOptions & | options )

## Member Function Documentation

## make_delete_button()

Gtk::Widget * MiniRackBox::make_delete_button | ( | RackBox & | rb | ) |

private

## on_my_enter_in()

bool MiniRackBox::on_my_enter_in | ( | GdkEventCrossing * | focus | ) |

private

## on_my_leave_out()

bool MiniRackBox::on_my_leave_out | ( | GdkEventCrossing * | focus | ) |

private

## pack()

void MiniRackBox::pack | ( | Gtk::Widget * | w | ) |

## set_config_mode()

void MiniRackBox::set_config_mode | ( | bool | mode,
|  | PluginUI & | plugin )

## Member Data Documentation

## evbox

Gtk::EventBox MiniRackBox::evbox

private

Definition at line 335 of file gx_main_window.h.

## evbox_button

sigc::connection MiniRackBox::evbox_button

private

Definition at line 343 of file gx_main_window.h.

## mb_delete_button

Gtk::Widget* MiniRackBox::mb_delete_button

private

Definition at line 338 of file gx_main_window.h.

## mb_expand_button

Gtk::Button* MiniRackBox::mb_expand_button

private

Definition at line 337 of file gx_main_window.h.

## mconbox

Gtk::HBox MiniRackBox::mconbox

private

Definition at line 336 of file gx_main_window.h.

## on_off_switch

Gxw::Switch MiniRackBox::on_off_switch

private

Definition at line 340 of file gx_main_window.h.

## preset_button

Gtk::Button* MiniRackBox::preset_button

private

Definition at line 339 of file gx_main_window.h.

## szg_label

Glib::RefPtr<Gtk::SizeGroup> MiniRackBox::szg_label

static private

Definition at line 334 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h